import { useEffect, useState } from 'react';
import { LOCAL_STORAGE_KEY } from '../../DashboardSidebarProvider';
import { useLocalStorage } from '../../useLocalStorage';
export const useLogic = () => {
    // Достается напрямую, т.к. нет гарантий, что скелетон будет обернут в контекст
    const [storageState = true] = useLocalStorage(LOCAL_STORAGE_KEY, true);
    const [isPinned, setPinned] = useState(true);
    useEffect(() => {
        setPinned(storageState);
    }, []);
    return { isPinned };
};
